List Replies
curl --request GET \
--url https://app.replyify.ai/api/replies \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.replyify.ai/api/replies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.replyify.ai/api/replies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Replies
List Replies
Retrieve a list of replies in your workspace
GET
/
api
/
replies
List Replies
Fetch all replies with optional filtering and pagination.
Query Parameters
string
Filter by reply status. Options:
pending, sent, archivedstring
Filter by client UUID
number
default:"50"
Number of items to return (max 200)
number
default:"0"
Number of items to skip for pagination
Examples
curl -X GET "https://app.replyify.ai/api/replies?status=pending&limit=10" \
-H "Authorization: Bearer rpl_your_api_key"
const response = await fetch(
'https://app.replyify.ai/api/replies?status=pending&limit=10',
{
headers: {
'Authorization': 'Bearer rpl_your_api_key'
}
}
);
const data = await response.json();
import requests
response = requests.get(
'https://app.replyify.ai/api/replies',
params={'status': 'pending', 'limit': 10},
headers={'Authorization': 'Bearer rpl_your_api_key'}
)
data = response.json()
Response Example
{
"data": [
{
"id": "uuid",
"workspace_id": "uuid",
"client_id": "uuid",
"contact_id": "uuid",
"connection_id": "uuid",
"from_email": "lead@example.com",
"from_name": "John Doe",
"to_email": "you@company.com",
"subject": "Re: Our services",
"body_text": "I'm interested, let's chat.",
"source": "instantly",
"thread_id": "uuid",
"status": "pending",
"category_id": "uuid",
"ai_category": "interested",
"ai_sentiment": "positive",
"ai_response": "Thanks for your interest...",
"received_at": "2025-01-27T12:00:00Z",
"created_at": "2025-01-27T12:00:00Z",
"clients": {
"id": "uuid",
"name": "Acme Corp Campaign"
},
"contacts": {
"first_name": "John",
"last_name": "Doe",
"email": "lead@example.com"
},
"categories": {
"id": "uuid",
"name": "Interested",
"slug": "interested",
"color": "#22c55e",
"is_positive": true
}
}
]
}
⌘I